if (pkg.$vers.length >= 3) {
    pkg.$vers.push(Packages.xdc.services.global.Vers.getDate(xdc.csd() + '/..'));
}

pkg.build.libraries = [
    'lib/release/lpm.av5T',
    'lib/debug/lpm.av4TCE',
    'lib/debug/pwrm_DaVinci.a64P',
    'lib/release/pwrm_DaVinci.a64P',
    'lib/debug/lpm.a470uC',
    'lib/release/tal_dsplink_bios_2530.a64P',
    'lib/debug/tal_dsplink_bios_3530.a64P',
    'lib/release/lpm.av4TCE',
    'lib/debug/lpm.av5T',
    'lib/debug/tal_dsplink_bios_dm6446.a64P',
    'lib/release/lpm.a470uC',
    'lib/debug/tal_dsplink_bios_2530.a64P',
    'lib/release/tal_dsplink_bios_3530.a64P',
    'lib/release/tal_dsplink_bios_dm6446.a64P',
];

pkg.build.libDesc = [
    [
        'lib/release/lpm.av5T',
        {
            target: 'gnu.targets.arm.GCArmv5T'
        }
    ],
    [
        'lib/debug/lpm.av4TCE',
        {
            target: 'microsoft.targets.arm.WinCE'
        }
    ],
    [
        'lib/debug/pwrm_DaVinci.a64P',
        {
            target: 'ti.targets.C64P'
        }
    ],
    [
        'lib/release/pwrm_DaVinci.a64P',
        {
            target: 'ti.targets.C64P'
        }
    ],
    [
        'lib/debug/lpm.a470uC',
        {
            target: 'gnu.targets.UCArm9'
        }
    ],
    [
        'lib/release/tal_dsplink_bios_2530.a64P',
        {
            target: 'ti.targets.C64P'
        }
    ],
    [
        'lib/debug/tal_dsplink_bios_3530.a64P',
        {
            target: 'ti.targets.C64P'
        }
    ],
    [
        'lib/release/lpm.av4TCE',
        {
            target: 'microsoft.targets.arm.WinCE'
        }
    ],
    [
        'lib/debug/lpm.av5T',
        {
            target: 'gnu.targets.arm.GCArmv5T'
        }
    ],
    [
        'lib/debug/tal_dsplink_bios_dm6446.a64P',
        {
            target: 'ti.targets.C64P'
        }
    ],
    [
        'lib/release/lpm.a470uC',
        {
            target: 'gnu.targets.UCArm9'
        }
    ],
    [
        'lib/debug/tal_dsplink_bios_2530.a64P',
        {
            target: 'ti.targets.C64P'
        }
    ],
    [
        'lib/release/tal_dsplink_bios_3530.a64P',
        {
            target: 'ti.targets.C64P'
        }
    ],
    [
        'lib/release/tal_dsplink_bios_dm6446.a64P',
        {
            target: 'ti.targets.C64P'
        }
    ],
];
if ('suffix' in xdc.om['xdc.IPackage$$LibDesc']) {
    pkg.build.libDesc['lib/release/lpm.av5T'].suffix = 'v5T';
    pkg.build.libDesc['lib/debug/lpm.av4TCE'].suffix = 'v4TCE';
    pkg.build.libDesc['lib/debug/pwrm_DaVinci.a64P'].suffix = '64P';
    pkg.build.libDesc['lib/release/pwrm_DaVinci.a64P'].suffix = '64P';
    pkg.build.libDesc['lib/debug/lpm.a470uC'].suffix = '470uC';
    pkg.build.libDesc['lib/release/tal_dsplink_bios_2530.a64P'].suffix = '64P';
    pkg.build.libDesc['lib/debug/tal_dsplink_bios_3530.a64P'].suffix = '64P';
    pkg.build.libDesc['lib/release/lpm.av4TCE'].suffix = 'v4TCE';
    pkg.build.libDesc['lib/debug/lpm.av5T'].suffix = 'v5T';
    pkg.build.libDesc['lib/debug/tal_dsplink_bios_dm6446.a64P'].suffix = '64P';
    pkg.build.libDesc['lib/release/lpm.a470uC'].suffix = '470uC';
    pkg.build.libDesc['lib/debug/tal_dsplink_bios_2530.a64P'].suffix = '64P';
    pkg.build.libDesc['lib/release/tal_dsplink_bios_3530.a64P'].suffix = '64P';
    pkg.build.libDesc['lib/release/tal_dsplink_bios_dm6446.a64P'].suffix = '64P';
}

